/*
Nome: Mario
Cognome: Montanari
Classe: 3AIN
Data: 04/04/2025

es01. (stampavideo1)
Scrivere un programma che stampi a video il contenuto del file in.txt.
*/

#include <iostream>

using namespace std;

void apriFile(const char * nomeFile);

int main(void) {
	apriFile("file.txt");
	
	return 0;
}

void apriFile(const char * nomeFile) {
	FILE * fp = fopen(nomeFile, "rt");
	
	if (fp != NULL) {
		char chr;
		
		while ((chr = fgetc(fp)) != EOF) {
			cout << chr;
		}
		
		fclose(fp);
	} else {
		perror("Error");
	}
}